it-swarm-ja.com

FreeBSDでPythonの特定のバージョンを使用してpkgをインストールしますか?

FreeBSD11で特定のバージョンのPythonを使用してパッケージを「pkginstall」するにはどうすればよいですか?Python 3)を使用して「pkginstall」したいとしますか?

1
user727967

FreeBSDパッケージシステムにはいくつかのバージョンのPythonがあります。名前またはOriginでパッケージを指定する方法は2つあります(後者はcategory/port表記を使用します) )。

Pythonのデフォルトバージョンは常にpythonまたはlang/pythonと呼ばれます

Python3のデフォルトバージョンはpython3またはlang/python3と呼ばれます

Python(たとえば、3.6)の特定のバージョンでは、python36またはlang/python36を使用します。

pkg search pythonを使用してすべての名前を表示し、pkg search -o pythonを使用して同じ結果を表示しますが、代わりにオリジンを使用します。

1
Richard Smith